import { RpcRequest } from '../RpcRequest';
import { RpcResponse } from '../RpcResponse';
/**
 * JSON-RPC request for the *backupwallet* command.
 */
export interface BackupWalletRequest extends RpcRequest {
    readonly method: 'backupwallet';
    readonly params: [string];
}
/**
 * JSON-RPC response for the *backupwallet* command.
 */
export interface BackupWalletResponse extends RpcResponse {
    readonly result: BackupWalletResult | null;
}
/**
 * Result of the *backupwallet* command.
 */
export declare type BackupWalletResult = any;
export declare function BackupWallet(filename: string): BackupWalletRequest;
