import { RpcRequest } from '../RpcRequest';
import { RpcResponse } from '../RpcResponse';
/**
 * JSON-RPC request for the *createkeypairs* command.
 */
export interface CreateKeyPairsRequest extends RpcRequest {
    readonly method: 'createkeypairs';
    readonly params?: [number];
}
/**
 * JSON-RPC response for the *createkeypairs* command.
 */
export interface CreateKeyPairsResponse extends RpcResponse {
    readonly result: CreateKeyPairsResult | null;
}
/**
 * Result of the *createkeypairs* command.
 */
export declare type CreateKeyPairsResult = any;
export declare function CreateKeyPairs(count?: number): CreateKeyPairsRequest;
