import { RpcRequest } from '../RpcRequest';
import { RpcResponse } from '../RpcResponse';
/**
 * JSON-RPC request for the *encryptwallet* command.
 */
export interface EncryptWalletRequest extends RpcRequest {
    readonly method: 'encryptwallet';
    readonly params: [string];
}
/**
 * JSON-RPC response for the *encryptwallet* command.
 */
export interface EncryptWalletResponse extends RpcResponse {
    readonly result: EncryptWalletResult | null;
}
/**
 * Result of the *encryptwallet* command.
 */
export declare type EncryptWalletResult = any;
export declare function EncryptWallet(passphrase: string): EncryptWalletRequest;
