import { RpcRequest } from '../RpcRequest';
import { RpcResponse } from '../RpcResponse';
/**
 * JSON-RPC request for the *getrawmempool* command.
 */
export interface GetRawMemPoolRequest extends RpcRequest {
    readonly method: 'getrawmempool';
    readonly params?: any[];
}
/**
 * JSON-RPC response for the *getrawmempool* command.
 */
export interface GetRawMemPoolResponse extends RpcResponse {
    readonly result: GetRawMemPoolResult | null;
}
/**
 * Result of the *getrawmempool* command.
 */
export declare type GetRawMemPoolResult = any;
export declare function GetRawMemPool(...params: any[]): GetRawMemPoolRequest;
