import { RpcRequest } from '../RpcRequest';
import { RpcResponse } from '../RpcResponse';
/**
 * JSON-RPC request for the *listblocks* command.
 */
export interface ListBlocksRequest extends RpcRequest {
    readonly method: 'listblocks';
    readonly params?: any[];
}
/**
 * JSON-RPC response for the *listblocks* command.
 */
export interface ListBlocksResponse extends RpcResponse {
    readonly result: ListBlocksResult | null;
}
/**
 * Result of the *listblocks* command.
 */
export declare type ListBlocksResult = any;
export declare function ListBlocks(...params: any[]): ListBlocksRequest;
