import { RpcRequest } from '../RpcRequest';
import { RpcResponse } from '../RpcResponse';
/**
 * JSON-RPC request for the *resume* command.
 */
export interface ResumeRequest extends RpcRequest {
    readonly method: 'resume';
    readonly params?: any[];
}
/**
 * JSON-RPC response for the *resume* command.
 */
export interface ResumeResponse extends RpcResponse {
    readonly result: ResumeResult | null;
}
/**
 * Result of the *resume* command.
 */
export declare type ResumeResult = any;
export declare function Resume(...params: any[]): ResumeRequest;
