import { RpcRequest } from '../RpcRequest';
import { RpcResponse } from '../RpcResponse';
/**
 * JSON-RPC request for the *revoke* command.
 */
export interface RevokeRequest extends RpcRequest {
    readonly method: 'revoke';
    readonly params?: any[];
}
/**
 * JSON-RPC response for the *revoke* command.
 */
export interface RevokeResponse extends RpcResponse {
    readonly result: RevokeResult | null;
}
/**
 * Result of the *revoke* command.
 */
export declare type RevokeResult = any;
export declare function Revoke(...params: any[]): RevokeRequest;
